
Summary:	Extra linux kernel firmware files
Name:   	kernel-firmware-extra
Version:	20150520
Release:	%mkrel 1
License:	Proprietary
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
Source: 	kernel-firmware-extra-%{version}.tar.xz
BuildRequires:	kernel-firmware >= 20141217
Conflicts:	kernel-firmware < 20141217
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
This package contains extra redistributable etc. firmwares for in-kernel
drivers. It is shared for all kernels.

%prep
%setup -q -n linux-firmware

# don't include firmware already in kernel-firmware package
for fir in `rpm -ql kernel-firmware | grep '^/lib/firmware/' | \
            sed 's|^/lib/firmware/||'`; do
	[ -f "$fir" ] || continue
	rm -f "$fir"
done
for dir in `find . -type d | sed -e 's|^\.||' -e 's|^/||'`; do
	rmdir -p --ignore-fail-on-non-empty $dir
done

rm -f LICENCE.iwlwifi_firmware
rm -f iwlwifi-{1000-3,{3945,4965,5150}-2,5000-{1,2},6000-4}.ucode
rm -f LICENCE.radeon_rlc
rm -f radeon/{CEDAR,CYPRESS,JUNIPER,R600,R700,REDWOOD,BTC,CAYMAN,SUMO}_rlc.bin
rm -f LICENSE.ralink-firmware.txt
rm -f rt2561{,s}.bin rt2661.bin rt28{6,7}0.bin rt3090.bin rt73.bin
rm -f dsp56k/bootstrap.asm keyspan_pda/*.S
rm -rf usbdux

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/{LICENCE.*,LICENSE.*,WHENCE,GPL*,Makefile,README}


%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/lib/firmware/*


%changelog
* Wed May 20 2015 bb <bb> 20150520-1pclos2015
- update

* Sun Jan 25 2015 bb <bb> 20150125-1pclos2015
- update

* Wed Dec 17 2014 bb <bb> 20141217-1pclos2014
- update

* Fri Jun 13 2014 bb <bb> 20140513-3pclos2014
- update

